package com.yc.ship.module.ota.enums;

import com.yc.ship.framework.common.core.IntArrayValuable;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

import java.util.Arrays;


@Getter
@RequiredArgsConstructor
public enum DistributorTypeEnum implements IntArrayValuable {


    OTC(2, "旅行社"),
    OTA(1, "分销商");


    public static final int[] ARRAYS = Arrays.stream(values()).mapToInt(DistributorTypeEnum::getType).toArray();

    /**
     * 状态值
     */
    private final Integer type;
    /**
     * 状态名
     */
    private final String name;

    @Override
    public int[] array() {
        return ARRAYS;
    }
}